Page MenuHomeFreeBSD

games/iourbanterror: Update to 4.3.2
ClosedPublic

Authored by kami on Mar 29 2017, 7:12 AM.

Details

Reviewers
miwi
adamw
Group Reviewers
ports secteam
Summary
games/iourbanterror: Update to 4.3.2

- Switch to FreeBSD fork [1] of official engine [2]

[1] https://github.com/lonkamikaze/urt4-freebsd
[2] https://github.com/Barbatos/ioq3-for-UrbanTerror-4

PR: 217911
#Reviewed by: miwi
Approved by: miwi (mentor)
MFH: 2017Q2
Security: CVE-2017-6903
Security: e48355d7-1548-11e7-8611-0090f5f2f347
#Differential Revision: D10174
Test Plan

Poudriere on all 10.3 and 11.0 completed.
bsda2/makeplist (tests all options individually) completed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9242
Build 9692: arc lint + arc unit

Event Timeline

kami created this revision.Mar 29 2017, 7:12 AM
kami edited the summary of this revision. (Show Details)Mar 29 2017, 7:12 AM
mat added inline comments.Mar 29 2017, 4:02 PM
games/iourbanterror/Makefile
31

This should probably be:

DISTVERSIONPREFIX=freebsd-
DISTVERSION=${Q3ENGINEVER}

kami updated this revision to Diff 26976.Apr 3 2017, 5:26 PM

Use DISTVERSIONPREFIX instead of GH_TAGNAME.

kami edited the summary of this revision. (Show Details)Apr 7 2017, 7:45 PM
kami added a reviewer: ports secteam.
mat added inline comments.Apr 9 2017, 10:55 AM
games/iourbanterror/Makefile
19–23

Why not s,${.CURDIR}/../${PORTNAME},${.CURDIR},

kami updated this revision to Diff 28296.May 13 2017, 6:00 PM
kami marked an inline comment as done.

Minor distfile fetching changes due to change of master port.

kami removed a reviewer: feld.
kami edited the summary of this revision. (Show Details)May 16 2017, 8:06 AM
kami edited reviewers, added: adamw; removed: cs, koobs.
miwi accepted this revision.May 21 2017, 8:27 AM
This revision is now accepted and ready to land.May 21 2017, 8:27 AM
miwi closed this revision.Feb 1 2019, 4:52 PM